### Function

# Gimp convolve

#### Declaration [src]

    gboolean
    gimp_convolve (
      GimpDrawable* drawable,
      gdouble pressure,
      GimpConvolveType convolve_type,
      gint num_strokes,
      const gdouble* strokes
    )

#### Description [src]

Convolve (Blur, Sharpen) using the current brush.

This tool convolves the specified drawable with either a sharpening or blurring kernel. The pressure parameter controls the magnitude of the operation. Like the paintbrush, this tool linearly interpolates between the specified stroke coordinates.

#### Parameters

`drawable`

  Type: `GimpDrawable`

  The affected drawable.

  The data is owned by the caller of the function.

`pressure`

  Type: `gdouble`

  The pressure.

`convolve_type`

  Type: `GimpConvolveType`

  Convolve type.

`num_strokes`

  Type: `gint`

  Number of stroke control points (count each coordinate as 2 points).

`strokes`

  Type: An array of `double`

  Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, …, sn.x, sn.y }.

  The length of the array is specified in the `num_strokes` argument.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.